Bug 735720 - pcre-8.13: infinite matching
Summary: pcre-8.13: infinite matching
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcre
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://lists.exim.org/lurker/message...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 07:40 UTC by Petr Pisar
Modified: 2011-09-06 16:16 UTC (History)
2 users (show)

Fixed In Version: pcre-8.13-4.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-06 16:16:20 UTC


Attachments (Terms of Use)

Description Petr Pisar 2011-09-05 07:40:24 UTC
$ pcretest 
PCRE version 8.13 2011-08-16

  re> /(?>(?&t)c|(?&t))(?(DEFINE)(?<t>a|b(*PRUNE)c))/s
data> ba
Error -26 (nested recursion at the same subject position)
data> bba
^C
[loop]

While pcre-8.12 gives:

$ pcretest 
PCRE version 8.12 2011-01-15

  re> /(?>(?&t)c|(?&t))(?(DEFINE)(?<t>a|b(*PRUNE)c))/s
data> ba
 0: a
data> bba
 0: a
data> 


This is regression reported to upstream.


Note You need to log in before you can comment on or make changes to this bug.